%define debug_package %nil

%define devname	%mklibname %{name} -d

%define zmqver	%(rpm -q --queryformat "%{VERSION}" %{_lib}zmq-devel )

Name:		cppzmq
Summary:	C++ binding for 0MQ
Version:	4.2.1
Release:	%mkrel 2
License:	MIT
Group:		Development/Other
Url:		https://github.com/zeromq/cppzmq
Source0:	https://github.com/zeromq/cppzmq/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Fix-cppzmqConfig.cmake-to-skip-static-lib-check.patch
BuildRequires:	cmake
BuildRequires:	git-core
BuildRequires:	zeromq-devel

%description
C++ binding for 0MQ.

%package -n %{devname}
Summary:	C++ binding for 0MQ
Requires:	zeromq-devel = %{zmqver}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}zeromq-devel < 4.2.2

%description -n %{devname}
C++ binding development headers for 0MQ.

%prep
%autosetup -S git_am

%build
%cmake
%make_build

%install
%make_install -C build

%files -n %{devname}
%doc README
%license LICENSE
%{_includedir}/zmq*.hpp
%dir %{_datadir}/cmake/cppzmq/
%{_datadir}/cmake/cppzmq/cppzmqConfig.cmake
%{_datadir}/cmake/cppzmq/cppzmqConfigVersion.cmake


%changelog
* Wed Feb 22 2017 wally <wally> 4.2.1-2.mga6
+ Revision: 1087399
- rebuild for ARM

* Wed Feb 22 2017 wally <wally> 4.2.1-1.mga6
+ Revision: 1087390
- add patch to skip static lib check with CMake
- imported package cppzmq

